# Deploying to Skynet
This is a repo that is used as a template to deploy to Skynet


## Create SSH Key
Details to do this can be found here: [wiki](https://wiki.skynet.ie/tutorials/skynet/create_ssh/)  
It is recommended to create a new key for just Forgejo Actions.

## Secrets
One secret must be added to make this work.

Secrets are found in your repo under ``Settings > Actions > Secrets``

* SSH_KEY
  * This is your private key that was generated above

End result should look like this:  
![Secrets](resources/Secrets.png)  


## Make changes to ``src``
Make changes to the files in ``src``.  
Commit and push.  
If everything was set up fine then your site will soon be live on ``https://$USERNAME.users.skynet.ie``